// -- File: PATHDATA.CC

CLASS PathDatabase of Database Custom
/* ----------------------------------------------------------------------
   Description:
 
       Custom database object, which has a custom property "PATH"
       containing the paths the tables are in.
 
   Programmers: 

       Romain Strieff 
       Ken Mayer (some very minor stuff here)
 
    History: 
 
       01/08/1998 -- First version
 
    Instantiation: 
 
       set procedure to :dUFLP:PATHDATA.cc additive

       // example of displaying all paths for all
       // tables in database:
       dMyData = new pathDatabase()
       aTables = dMyData.GetSchema( "DATABASES" )
       for n = 1 to aTables.size
           dMyData.databaseName = aTables[ n ]
           try
              dMyData.active = true
              ? dMyData.databaseName
              ?? "PATH: " at 25
              ?? dMyData.path
              dMyData.active = false

           catch (Exception E)

              ? dMyData.databaseName
              ?? "Error: " at 25
              ?? E.message
              dMyData.active = false

           endTry
        next
 
 
    Methods:
       OnOpen()
         When the query opens set some calls to the BDE API.


       GetPath()
         Uses BDE32 API calls ... gets path of current database
 ---------------------------------------------------------------------- */

  // these are calls to the BDE API:
  if type( "GetDatabasePath" ) # "FP"
     extern cInt GetDatabasePath( cString, cPtr ) IDAPI32 from;
                 "DbiGetDatabaseDesc"
  endif

  PROCEDURE Open
     this.path = this.GetPath()
     super::Open()


  PROCEDURE GetPath
     // 'Ugly hack to avoid lengthy structure stuff':
     local c, cReturn, n
     c = space( 32+32+261+32)
     cReturn = ""
     if ( GetDatabasePath( this.databaseName, c ) == 0 )
        for n = 32 to 32+261
            nRet = c.getByte( n )
            cReturn = cReturn + iif( nRet = 0, "", chr(nRet) )
        next
        cReturn = ltrim(trim( cReturn ))
     else
        cReturn = ""
     endif

  RETURN cReturn

ENDCLASS
// -- pathDatabase


