/* ResizableForm.cfm
This is a resizable (via a button) form - even if the form is modal.
By Peter Rorlick and Saveli Kossenko

Remeber to call super::Form_OnOpen() in your form's OnOpen routine.
Also see the note below about RelocateControls.
*/

class ResizableForm of zFORM custom
   with (this)
      onSize = class::FORM_ONSIZE
      onOpen = class::FORM_ONOPEN
      scaleFontBold = false
      height = 6.5455
      left = 37.1429
      top = 1.8182
      width = 48.8571
      text = ""
   endwith


   Procedure form_onOpen

     Form.MinWidth  = Form.Width
     Form.MinHeight = Form.Height

     if (.Not.Form.Mdi)
      this.ResizeButton = new PUSHBUTTON(this)
      with (this.ResizeButton)
         onClick = class::ResizeButton_ONCLICK
         * onOpen = {; Form.InitTop = Form.Top ; Form.InitLeft = Form.Left }
         height = 0.7
         width = 2.4
         left = Form.Width-2.4//-2.9
         top = 0
         text = ""
         metric = 0  // Chars
         speedBar = true
         speedTip= "Maximize"
         StatusMessage="Maximize."
         upBitmap = "RESOURCE #665"
         group = false
         colorNormal = "BtnText/BtnFace"
         value = false
      endwith
     Else
       Form.form_onSize(0, Form.Width, Form.Height)
     EndIf
     return

   function ResizeButton_onClick
       if (.Not.Form.Mdi)
         If (this.UpBitmap=="RESOURCE #665")
           Form.InitTop = Form.Top     // Save the position of the form, so that we can restore it when the user un-maximizes.
           Form.InitLeft = Form.Left
           Form.WindowState:=2
           This.UpBitmap:="RESOURCE #664"
           This.SpeedTip:="Restore to original size"
           This.StatusMessage:="Restore."
         Else
           Form.WindowState:=0
           form.Top  = Form.InitTop    // Restore the form to its previous position.
           form.Left = Form.InitLeft   //  "
           This.UpBitmap:="RESOURCE #665"
           This.SpeedTip:="Maximize"
           This.StatusMessage:="Maximize."
         EndIf
       EndIf
      return


   Proc form_onSize(nSizeType, nWidth, nHeight)
     * As default the window size onopen is minimum Window size
      If (nHeight<Form.MinHeight).OR.(nWidth<Form.MinWidth)
          Form.Move(Form.Left,Form.Top,Form.MinWidth,Form.MinHeight)
          retu
      EndIf

      If (.Not.Form.Mdi)
        Form.ResizeButton.Move(nWidth-2.4/*-2.9*/)
      EndIf

      Form.RelocateControls(nSizeType, nWidth, nHeight)
      zForm::Form_OnSize()
      return


    Proc RelocateControls
      * Nothing for now, but programmers can over-ride this
      * in their own forms, by including the following:
      *  Proc RelocateControls(nSizeType, nWidth, nHeight)
      *     ....etc....
endclass
