/*

	Filename:   ScrDemo.prg
   Version:    1.02
   Date:       2000/01/06

   For:      VdBase 7.x / Win9x

   Author:     Ronnie MacGregor
   Contact:    Ronnie@high-lugtonridge.co.uk
	
   
   Description:

      ScrDemo.prg is designed to demonstrate the capabilities of
      ScrCheck.prg's ScrCheck(), GetScreenRes() & GetColourDepth().

      See the header of ScrCheck.prg for further details.

      
   Dependancies:

      Monitor.ico

      This file should be found in the same directory as the .prg, but
      everything has been coded in such a way that error free
      operation will be provided even if this file is not found.
      
         
*/



function ScrDemo
   local f
   f=new ScrDemoForm()
   f.readModal()
   f.release()
return
     

/////////////////////////


class ScrDemoForm of FORM
   with (this)
      scaleFontBold = false
      metric = 6	// Pixels
      colorNormal = "lightsteelblue"
      height = 334
      left = 232
      top = 85
      width = 428
      text = "Test Ronnie MacGregor's ScrCheck()"
      autoCenter = true
      mdi = false
      icon = "filename Monitor.ico"
   endwith


   this.CB_RESOLUTION = new COMBOBOX(this)
   with (this.CB_RESOLUTION)
      height = 22
      left = 20
      top = 35
      width = 174
      colorNormal = "black/Window"
      dataSource = 'array {"","640x480","800x600","1024x768",;
         "1152x864","1280x1024","1600x1200"}'
      style = 1	// DropDown
      dropDownHeight = 132
   endwith


   this.CB_COL_DEPTH = new COMBOBOX(this)
   with (this.CB_COL_DEPTH)
      height = 22
      left = 213
      top = 35
      width = 195
      colorNormal = "black/Window"
      dataSource = 'array {"","1 Not specified","2 bit Monochrome",;
         "4 bit 16 Colours","8 bit 256 Colours",;
         "16 bit 65,536 Colours","24 bit True Colour",;
         "32 bit True Colour"}'
      style = 1	// DropDown
      dropDownHeight = 132
   endwith


   this.CHCK_FLAG_FORM = new CHECKBOX(this)
   with (this.CHCK_FLAG_FORM)
      height = 24
      left = 77
      top = 70
      width = 286
      text = "Put custom display properties on calling form"
      colorNormal = "BtnText/lightsteelblue"
      value = false
   endwith


   this.PB_TEST = new PUSHBUTTON(this)
   with (this.PB_TEST)
      onClick = class::PB_TEST_ONCLICK
      height = 35
      left = 20
      top = 105
      width = 206
      text = "Test"
      value = false
   endwith


   this.TXT_RESULT = new TEXT(this)
   with (this.TXT_RESULT)
      height = 22
      left = 244
      top = 115
      width = 160
      colorNormal = "BtnText/lightsteelblue"
      transparent = true
      fontBold = true
      text = "Returned result :  "
   endwith


   this.TXT_RES_LABEL = new TEXT(this)
   with (this.TXT_RES_LABEL)
      height = 22
      left = 20
      top = 10
      width = 168
      colorNormal = "BtnText/lightsteelblue"
      text = "Desired Screen Resolution"
   endwith


   this.TXT_COL_DEPTH_LABEL = new TEXT(this)
   with (this.TXT_COL_DEPTH_LABEL)
      height = 22
      left = 213
      top = 10
      width = 168
      colorNormal = "BtnText/lightsteelblue"
      text = "Desired Colour Depth"
   endwith


   this.TXT_RESULT_CODES_PARA = new TEXT(this)
   with (this.TXT_RESULT_CODES_PARA)
      height = 110
      left = 72
      top = 205
      width = 258
      colorNormal = "BtnText/lightsteelblue"
      text = "Result codes" + chr(13) + ;
             "-1  Error - problem with passed parameters" + chr(13) +;
             " 0  Current settings OK" + chr(13) + ;
             " 1  Change Properties button clicked" + chr(13) + ;
             " 2  Continue button clicked" + chr(13) + ;
             " 3  Quit button clicked" + chr(13) + ;
             " 4  Windows Close button [x] clicked"
   endwith


   this.TXT_CP_RES = new TEXT(this)
   with (this.TXT_CP_RES)
      height = 22
      left = 20
      top = 155
      width = 387
      colorNormal = "BtnText/lightsteelblue"
      fontBold = true
      text = "form.ScreenRes =  "
   endwith


   this.TXT_CP_DEPTH = new TEXT(this)
   with (this.TXT_CP_DEPTH)
      height = 22
      left = 20
      top = 175
      width = 386
      colorNormal = "BtnText/lightsteelblue"
      fontBold = true
      text = "form.ColourDepth =  "
   endwith


   function PB_TEST_onClick
      // Kill off previous results
      form.Txt_Result.text = "Returned result :  "
      form.Txt_CP_Res.text = "form.ScreenRes =  "
      form.Txt_CP_Depth.text = "form.ColourDepth =  "
      form.ScreenRes = Null
      form.ColourDepth = Null
      // Run the prg
      this.PassDepth = substr(form.CB_Col_Depth.value,1,;
         (at(" ",form.CB_Col_Depth.value,1))-1)
      if form.Chck_Flag_Form.value = False
         form.result = ScrCheck(form.CB_Resolution.value,;
            this.PassDepth)
      else
         form.result = ScrCheck(form.CB_Resolution.value,;
            this.PassDepth, form )
      endif
      // Put results on display
      form.Txt_Result.text = "Returned result :  " + form.result
      form.Txt_CP_Res.text = "form.ScreenRes =  ";
         + new String(form.ScreenRes)
      form.Txt_CP_Depth.text = "form.ColourDepth =  ";
         + new String(form.ColourDepth)
      return
endclass