version = "$VERSION 1.5 {04/11/2018 03:55:34 PM}} VERSION$"

// defines for decodeBase64File and decodeBase64File
// See additonal info in headers of those functions
#define adWriteChar 0 
#define adTypeBinary 1
#define adTypeText 2
#define adSaveCreateNotExist 1 
#define adSaveCreateOverWrite 2 

/* Rich - www.autotraker.com

There are now 4 different base64 encoding and decoding functions in this CC
In addtion can also convert a string to a byte array and back again. 
Read the decription for each pair under the dates they were added.  

One of the uses I have for encodeBase64File() and decodeBase64File() is to 
encode a file and store it in a plain memo field encoded in base64 which 
makes it more compatible with non-DBF file types. 
I also use it to encode a file in base64 in order to transfer it across the 
internet. It can also be used to embed a base64 encoded file in a email. 

As with any CC usage necessitates setting procedure to the CC and then 
creating a reference to the CC object. 
set procedure to base64bin.cc additive
oRef = new base64()
// You then call each function using the objects reference. 
? oRef.Base64Encode(cStr,false)
// be sure to release and then close the proceedure file when finished
release object oRef
close proc base64bin.cc


base64Encode( sText,  fAsUtf16LE)
    Encodes a string in base64. Optionally allows you to select utf-16le encoding or its default utf-8 encoding
    sText - the string to encode in base64 
    fAsUtf16LE - (optional parameter defaults to false) if true uses utf-16le encoding and if false uses utf-8 encoding. 

base64Decode( sBase64EncodedText,  fIsUtf16LE)
    Decodes a string that was encoded in base64. Optionally allows you to select utf-16le encoding or its default utf-8 encoding
    sBase64EncodedText - the base64 encoded string to decode
    fAsUtf16LE - (optional parameter defaults to false) if true uses utf-16le encoding and if false uses utf-8 encoding

encodeBase64File(fName)
    Encodes a file in base64. It will open the file and return the encoded string. 
    fName - full filename and path to the file you want to encode in base64. 

decodeBase64File(cEncoded,fName)
    Decodes a encoded string to a file. It will create the named file and save the decoded string. 
    cEncoded - the base64 encoded file you wish to decode and save
    fName - full filename and path to the file you want to save your decoded string to. 

StrToBytes() and BytesToStr() are used internally but may be useful when 
dealing with byte arrays. 



******************************************
03/20/2018
Because sometimes we need both "utf-8" and "utf-16le" base64 encoded strings.
Base64Encode() and Base64Decode()
second parameter when true returns "utf-16le" encoded string and false 
returns "utf-8" string. Default is false

Example of the encoding methods: 

set proc to :ti:Base64bin.cc additive
ob = new Base64bin()

cStr = "Hello World" 

Base64Encode1 = ob.Base64Encode(cStr,false) // "utf-8"
Base64Encode2 = ob.Base64Encode(cStr,true) // "utf-16le"

? "utf-8 encoded: "+Base64Encode1
? "utf-16le encoded: "+Base64Encode2

? ob.Base64Decode(Base64Encode1,false) // "utf-8"
? ob.Base64Decode(Base64Encode2,true) // "utf-16le"

We can also convert a string to a byte array
and then a byte array back to a string. 
byteArray = ob.StrToBytes(cStr, "utf-8", 3)
? ob.BytesToStr( byteArray,  "utf-8")

release object ob
close proc :ti:Base64bin.cc

******************************************

01/05/2017
Most the time these functions are only used to encode and decode 
images and other binary files in Base64 (utf-8)
decodeBase64File() and decodeBase64File() not only codes and decodes
the binary data but reads it directly from disk file and then 
recreates the disk file from the base64 Encoded string. 

Example: 
// passing file name returns a base64 encoded string
cEncoded = encodeBase64File("Splash.jpg")
// passing a base64 encoded string and a file name
// the function will decode the string and store in a file
decodeBase64File(cEncoded,"test.jpg")

******************************************

ToDo: change encodeBase64File() and decodeBase64File() to support
	utf-16le encoding. 
	



*/



class Base64bin of string custom

	function beforeRelease
		return 

	function encodeBase64File(fName)
		// Rich - www.autotraker.com
		// pass a file name and it opens then encodes it
		// in base64 and returns the encoded string. 
		// Example: ? encodeBase64File("c:\trakerPRO\SplashXP.jpg")
		if not new file().exists(fName)
			return ""
		endif
		local objXML,objDocElem,objStream
		// setup our MSxml document
		objXML = new oleautoclient("MSXml2.DOMDocument")
		objDocElem = objXML.createElement("Base64Data")
		objDocElem.dataType = "bin.base64"

		// load our file into a stream object
		objStream = new oleautoclient("ADODB.Stream")
		objStream.Type = adTypeBinary
		objStream.Open()
		objStream.LoadFromFile(fName)

		// Set binary value from the stream object
		objDocElem.nodeTypedValue = objStream.Read()

		// Get base64 value
		cEncoded = objDocElem.text

		release object objStream
		release object objXML
		return cEncoded


	function decodeBase64File(cEncoded,fName)
		// Rich - www.autotraker.com
		// pass a file name and base64 encoded string
		// and it saves the decoded string to a file 
		// Example: ? decodeBase64File(cEncoded,"SplashXP.jpg")
		local objXML,objDocElem,objStream,lSuccess
		// setup our MSxml document
		objXML = new oleautoclient("MSXml2.DOMDocument")
		objDocElem = objXML.createElement("Base64Data")
		objDocElem.DataType = "bin.base64"

		// Set text value
		objDocElem.text = cEncoded

		// setup our stream object
		objStream = new oleautoclient("ADODB.Stream")
		objStream.Type = adTypeBinary
		objStream.Open()

		// Get binary value and write to file
		lSuccess = false
		try
			objStream.Write( objDocElem.NodeTypedValue )
			objStream.SaveToFile(fName, adSaveCreateOverWrite)
			lSuccess = true
		catch(exception e)
			? e.message
		endtry
		release object objStream
		release object objXML
		return lSuccess


	function base64Encode( sText,  fAsUtf16LE)
		if pCount() = 1
			fAsUtf16LE = false
		endif
		// Use an aux. XML document with a Base64-encoded element.
		// Assigning the byte stream (array) returned by StrToBytes() to .NodeTypedValue
		// automatically performs Base64-encoding, whose result can then be accessed
		// as the element's text.
		local o,oe
		o = new oleautoclient("Msxml2.DOMDocument")
		oe =o.CreateElement("aux")
		oe.DataType = "bin.base64"
		if fAsUtf16LE 
			oe.NodeTypedValue = class::StrToBytes(sText, "utf-16le", 2)
		else
			oe.NodeTypedValue = class::StrToBytes(sText, "utf-8", 3)
		endif
		Base64Encode = oe.Text
		release object oe
		release object o
		return Base64Encode




	function base64Decode( sBase64EncodedText,  fIsUtf16LE)
		if pCount() = 1
			fAsUtf16LE = false
		endif
		local o,oe
		if fIsUtf16LE  
			sTextEncoding = "utf-16le" 
		Else 
			sTextEncoding = "utf-8"
		endif
		// Use an aux. XML document with a Base64-encoded element.
		// Assigning the encoded text to .Text makes the decoded byte array
		// available via .nodeTypedValue, which we can pass to BytesToStr()
		o = new oleautoclient("Msxml2.DOMDocument")
		oe = o.CreateElement("aux")
		oe.DataType = "bin.base64"
		oe.Text = sBase64EncodedText
		Base64Decode = class::BytesToStr(oe.NodeTypedValue, sTextEncoding)
		release object oe
		release object o
		return Base64Decode


	function StrToBytes( sText,  sTextEncoding,  iBomByteCount)
		local oo
		// Create a text string with the specified encoding and then
		// get its binary (byte array) representation.
		// Example byteArray = StrToBytes(sText, "utf-8", 3)
		oo = new oleautoclient("ADODB.Stream")
		// Create a stream with the specified text encoding...
		oo.Type = adTypeText
		oo.Charset = sTextEncoding
		oo.Open()
		oo.WriteText( sText )
		// ... and convert it to a binary stream to get a byte-array 
		// representation.
		oo.Position = 0 
		oo.Type = adTypeBinary
		oo.Position = iBomByteCount // skip the BOM
		StrToBytes = oo.Read
		oo.Close()
		release object oo
		return StrToBytes 

	function BytesToStr( byteArray,  sTextEncoding)
		local oo
		// Convert the specified text encoding to a VBScript string.
		// Create a binary stream and copy the input byte array to it.
		// Example cString = BytesToStr(byteArray, "utf-8")
		oo = new oleautoclient("ADODB.Stream")
		oo.Type = adTypeBinary
		oo.Open()
		oo.Write( byteArray )
		// Now change the type to text, set the encoding, and output the 
		// result as text.
		oo.Position = 0
		oo.Type = adTypeText
		oo.CharSet = sTextEncoding
		BytesToStr = oo.ReadText
		oo.Close()
		release object oo
		return BytesToStr



endclass
