/*
   kmScheduler.h
   Ceci est une srie de dfinitions de textes utiliss dans les
   formulaires du Calendar/Scheduler cr par Ken Mayer.  L'ide
   est de placer toutes les chanes de caractres qui sont affiches
   pour l'utilisateur dans ce fichier en tant que constantes (en
   utilisant la commande du prprocesseur: #DEFINE). Dans le code 
   des quatres formulaires, chacune des chanes de caractres 
   affiches devrait donc tre remplace par le texte de la constante
   approprie situe dans ce fichier en-tte. Ceci aura pour effet
   de faciliter la traduction des textes par des personnes 
   connaissant l'anglais et d'autres langues, et ainsi de le rendre
   le tout plus international.

   Lorsque vous utiliserez ceci, vous devrez changer la commande
   suivante dans chacun des quatre formulaires:
       #INCLUDE <kmScheduler_English.h>
   pour qu'elle utilise le fichier en-tte appropri, comme par
   exemple dans ce cas-ci:
       #INCLUDE <kmScheduler_French.h>

   Les formulaires sont:
       kmScheduler.wfm
       kmSchedEvent.wfm
       km24Time.wfm
       kmSmallCal.wfm

   Pour ceux faisant la traduction, si certains textes requirent
   l'utilisation de caractres ANSI accentus, comme le u avec un
   trmas, une bonne ide serait d'utiliser chr( 252 ) au lieu de
   l'crire directement, comme par exemple: "abcde"+chr(252)+"test".

*/ 

// ------------------------------------------------------------------
// For the main calendar form: kmScheduler.wfm
// ------------------------------------------------------------------
// Form's text property:
#DEFINE SCHEDFORMTEXT             "Calendrier/Agenda"

// UI -- User Interface -- speedtips for controls:
#DEFINE MONTHBUTTONTEXT           "Mois"
#DEFINE NEXTMONTHBUTTONSPEEDTIP   "Mois Suivant"
#DEFINE PREVMONTHBUTTONSPEEDTIP   "Mois Prcdent"
#DEFINE YEARBUTTONTEXT            "Anne"
#DEFINE NEXTYEARBUTTONSPEEDTIP    "Anne Suivante"
#DEFINE PREVYEARBUTTONSPEEDTIP    "Anne Prcdente"
#DEFINE TODAYBUTTONTEXT           "Aujourd'hui"
#DEFINE TODAYBUTTONSPEEDTIP       "Aller  la date d'aujourd'hui"
#DEFINE WEEKVIEWBUTTONTEXT        "Afficher par Semaine"
#DEFINE WEEKVIEWBUTTONSPEEDTIP    "Changer pour la Visualisation par Semaine"
#DEFINE WEEKBUTTONTEXT            "Semaine"
#DEFINE NEXTWEEKBUTTONSPEEDTIP    "Semaine Suivante"
#DEFINE PREVWEEKBUTTONSPEEDTIP    "Semaine Prcdente"
#DEFINE MONTHVIEWBUTTONTEXT       "Afficher par Mois"
#DEFINE MONTHVIEWBUTTONSPEEDTIP   "Changer pour la Visualisation par Mois"
#DEFINE MOREBUTTONUPSPEEDTIP      "Voir les cinq items prcdents"
#DEFINE MOREBUTTONDOWNSPEEDTIP    "Voir les cinq items suivants"

// canOpen event:
#DEFINE OPENFORMERROR             "Impossible d'ouvrir l'objet Form"
#DEFINE DATEEXOPENERROR           "Impossible d'ouvrir :dUFLP:DateEx.cc!"
#DEFINE HOLIDAYOPENERROR          "Impossible d'ouvrir :dUFLP:Holiday.cc!"
#DEFINE BDEALIASOPENERROR         "Impossible d'ouvrir :dUFLP:BDEAlias.cc!"
// note the trailing space before the quote -- keep it!
#DEFINE CREATEALIASERROR          "Impossible de crer un Alias BDE: "
#DEFINE CREATETABLEERROR          "Impossible de crer la table: "
#DEFINE TABLELEVELERROR           "Le niveau des tables doit tre 7 -- Veuillez faire les changements ncessaires dans l'Administrateur BDE!"

#DEFINE CREATEINDEXESERROR        "Impossible de crer des index pour la table: "

// Holiday names:
#DEFINE ADVENTNAME                "Avent"
#DEFINE EASTERNAME                "Pques"
#DEFINE NEWYEARNAME               "Jour de l'an"
#DEFINE VALENTINENAME             "Saint-Valentin"
#DEFINE STPATRICKNAME             "Saint-Patrick"
#DEFINE APRILFOOLNAME             "Poisson d'Avril"
#DEFINE HALLOWEENNAME             "Halloween"
#DEFINE CHRISTMASNAME             "Nol"
#DEFINE NEWYEAREVENAME            "Veille du Jour de l'an"

// ------------------------------------------------------------------
// kmSchedEvent.wfm
// ------------------------------------------------------------------
// UI Interface:
// Form text:
#DEFINE SCHEDEVENTFORMTEXT        "Dtails des vnements"
// Tabbox1 dataSource -- don't translate the word "ARRAY":
#DEFINE TABBOXDATASOURCE          [ARRAY {"vnement en cours","vnements de la Journe"}]
// Title text:
#DEFINE TITLETEXTEVENTS           "vnement(s)"
// Grid column headings:
#DEFINE GRIDCOLUMN1HEADING        "Heure"
#DEFINE GRIDCOLUMN2HEADING        "vnement"
#DEFINE GRIDCOLUMN3HEADING        "Rptition"
// Text/TextLabel controls on form:
#DEFINE EVENTTITLETEXT            "Titre de l'vnement:"
#DEFINE DETAILTEXT                "Dtail:"
#DEFINE LOCATIONTEXT              "Lieu:"
#DEFINE DATETEXT                  "Date:"
#DEFINE STARTTIMETEXT             "Heure de Dbut:"
#DEFINE ENDTIMETEXT               "Heure de Fin:"
#DEFINE REPEATTYPETEXT            "Type de rptition:"
#DEFINE REPEATEVENTSTEXT          "Rptition des vnements"
#DEFINE EVENTNOTREPEATTEXT        "Cet vnement n'est pas rpt"
#DEFINE STATUSTEXT                "Statut:"
// Note the HTML formatting here -- leave those, but move as appropriate:
#DEFINE INFOTEXT                  "La <b>Date</b> est requise, et elle a comme valeur par dfaut la date slectionne pour l'vnement. L'<b>Heure de Dbut</b> et l'<b>Heure de Fin</b> sont requises  moins qu'il ne s'agisse d'un vnement pour 'Toute la Journe'. Les temps doivent tre en format de 24 heures (si c'est l'aprs-midi, ajouter 12 -- par exemple, 1:00 pm deviendra 13:00)."
// Checkbox:
#DEFINE ALLDAYCHECKTEXT           "Toute la Journe?"
// Buttons:
#DEFINE CHANGEDATEBUTTONSPEEDTIP  "Changer la Date"
#DEFINE STARTTIMESPEEDTIP         "Changer l'Heure de Dbut"
#DEFINE ENDTIMESPEEDTIP           "Changer l'Heure de Fin"
// Comboboxes:
#DEFINE REPEATTYPE1               "Aucune"
#DEFINE REPEATTYPE2               "Jour"
#DEFINE REPEATTYPE3               "Semaine"
#DEFINE REPEATTYPE4               "Mois"
#DEFINE REPEATTYPE5               "Anne"
#DEFINE STATUSCOMBO1              "Ouvert"
#DEFINE STATUSCOMBO2              "Complt"
// On 'repeat' containers:
#DEFINE EVERYTEXT                 "Chaque"
#DEFINE ENDONTEXT                 "Se Termine le:"
#DEFINE REPEATSPINERROR           "Doit tre compris entre 1 et 99"
#DEFINE ENDDATEBUTTONSPEEDTIP     "Changer la Date"
#DEFINE DAYSTEXT                  "Jour(s)"
#DEFINE WEEKSTEXT                 "Semaine(s)"
#DEFINE MONTHSTEXT                "Mois(s)"
#DEFINE YEARSTEXT                 "Anne(s)"
#DEFINE DESCRIPTTEXT              "Le X de chaque mois"
#DEFINE REPEATONTEXT              "Rptition le:"
// Delete question:
#DEFINE DELETEQUESTIONTEXT        "Voulez-vous effacer seulement cet vnement (Oui), ou toutes les occurrences de ce mme vnement (Non)?"
#DEFINE REPEATINGEVENTTITLE       "Rptition de l'vnement"
#DEFINE UNEXPECTEDERRORMSG        "Erreur inattendue: "
#DEFINE ERRORTITLE                "Erreur"
// Save Event:
#DEFINE SAVEREPEATQUESTIONTEXT    "Voulez-vous que les changements n'affectent que cet vnement (Oui), ou toutes les occurrences de ce mme vnement (Non)?"
#DEFINE TITLEREQUIREDTEXT         "Le titre de l'vnement est requis!"
#DEFINE CANNOTSAVETITLE           "Impossible de sauvegarder!"
#DEFINE EVENTREQUIREDTEXT         "La date de l'vnement est requise!"
#DEFINE STARTTIMEREQUIREDTEXT     "L'heure de dbut de l'vnement est requise!"
#DEFINE ENDTIMEREQUIREDTEXT       "L'heure de fin de l'vnement est requise!"
#DEFINE ENDDATEREQUIREDTEXT       "Une date de fin est requise si l'vnement est rptitif!"
// Week Day checkbox test:
#DEFINE DAYOFWEEKREQUIREDTEXT     "Au moins un jour de la semaine doit tre slectionn pour un vnement qui se rpte  chaque 'Semaine'!"
#DEFINE WEEKDAYERROR1             "La date prsentement slectionne: "
#DEFINE WEEKDAYERROR2             "est un "
#DEFINE WEEKDAYERROR3             ", vous ne pouvez donc pas la dslectionner."
#DEFINE WEEKDAYERRORTITLE         "Opration impossible"
// TimeEntryfield class:
#DEFINE TIMEENTRYSPEEDTIP         "Entrez une heure en format 24 heures"
#DEFINE TIMEENTRYHOURERRORTEXT    "Entrez une valeur entre 0 et 23"
#DEFINE TIMEENTRYHOURERRORTITLE   "Heure invalide"
#DEFINE TIMEENTRYMINUTEERRORTEXT  "Entrez une valeur entre 0 et 59"
#DEFINE TIMEENTRYMINUTEERRORTITLE "Minutes invalide"

// ------------------------------------------------------------------
// km24Time.wfm
// ------------------------------------------------------------------
#DEFINE TIMEFORMTEXT              "Slectionner l'Heure"
#DEFINE HOURTEXT                  "Heure"
#DEFINE MINUTETEXT                "Minutes"
#DEFINE TIMEFORMDESCRIPTIONTEXT   "L'heure est en format 24 heures, par consquent, ajouter 12  toutes les heures de l'aprs-midi. Par exemple, 2:00 pm deviendra 14:00. De plus, minuit est '00'."
#DEFINE OKBUTTONTEXT              "Ok"
#DEFINE TIMEOKBUTTONSPEEDTIP      "Accepter cette heure"
#DEFINE CANCELBUTTONTEXT          "Annuler"
#DEFINE TIMECANCELBUTTONSPEEDTIP  "Retourner  la valeur prcdente"
// ------------------------------------------------------------------
// kmSmallCal.wfm
// ------------------------------------------------------------------
#DEFINE CALFORMTEXT               "Slectionner la Date"
#DEFINE DATEOKBUTTONSPEEDTIP      "Accepter cette date"

// ------------------------------------------------------------------
// :dUFLP:kenCal3.cc (on kmSmallCal.wfm)
// ------------------------------------------------------------------
#DEFINE KCYEARMINUS10BUTTONSPEEDTIP "10 Annes en Arrire"
#DEFINE KCYEARPLUS10BUTTONSPEEDTIP  "10 Annes en Avant"
#DEFINE KCPREVYEARBUTTONSPEEDTIP    "Anne Prcdente"
#DEFINE KCNEXTYEARBUTTONSPEEDTIP    "Anne Suivante"
#DEFINE KCMONTHMINUS3BUTTONSPEEDTIP "3 Mois en Arrire"
#DEFINE KCMONTHPLUS3BUTTONSPEEDTIP  "3 Mois en Avant"
#DEFINE KCPREVMONTHBUTTONSPEEDTIP   "Mois Prcdent"
#DEFINE KCNEXTMONTHBUTTONSPEEDTIP   "Mois Suivant"
#DEFINE KCTODAYBUTTONTEXT           "Aujourd'hui"
#DEFINE KCTODAYBUTTONSPEEDTIP       "Aller  la date d'aujourd'hui"

// This one is actually in kmScheduler.wfm
#DEFINE CHANGECOLORBUTTONSPEEDTIP     "Changer la couleur des boutons"
// The rest are in kmSchedColor.wfm
#DEFINE COLORFORMTITLE                "Changer les couleurs"
#DEFINE HOLIDAYBUTTONTEXT             "Vacances"
#DEFINE CURRENTDAYBUTTONTEXT          "Jour slectionn"
#DEFINE DEFAULTDAYBUTTONTEXT          "Dfaut"
#DEFINE TEXTCOLORBUTTONTEXT           "T"
#DEFINE BACKGROUNDCOLORBUTTONTEXT     "F"
#DEFINE TEXTCOLORBUTTONSPEEDTIP       "Changer la couleur du texte"
#DEFINE BACKGROUNDCOLORBUTTONSPEEDTIP "Changer la couleur du fond"
